<?php

header('Access-Control-Allow-Origin: *');

include_once("databasePg.php");

$stat = pg_connection_status($conn);

if ($stat === PGSQL_CONNECTION_OK) {


    $consulta = "SELECT c.id_cliente, c.nombre_cliente, c.apellido_cliente, c.direccion_cliente,(SELECT COALESCE((sum(importedebe) - sum(importehaber)),(sum(importedebe) - sum(importehaber)),0) as saldo FROM movimiento as m WHERE m.id_cliente = c.id_cliente) as saldo FROM cliente as c";

    $result = pg_query($conn, $consulta) or die('Error obtener datos');

    $datos = array();

    while ($row = pg_fetch_array($result)) {
        $datos[] = array('id_cliente' => $row['id_cliente'], 'nombre_cliente' => $row['nombre_cliente'], 'apellido_cliente' => $row['apellido_cliente'], 'direccion_cliente' => $row['direccion_cliente'], 'saldo' => $row['saldo']);
    }

    echo json_encode($datos);
}
?>
